<template>
  <section>
    <base-card>
      <h2>Page de connexion</h2>
      <login-form @save-data="saveData"></login-form>
    </base-card>
  </section>
</template>

<script>
import LoginForm from '../../components/authentification/LoginForm.vue';

export default {
  components: {
    LoginForm,
  },
  methods: {
    saveData(data) {
      this.$store.dispatch('login/registerService', data);
      this.$router.replace('/mon-compte');
    }
  }
};
</script>